﻿using Newbe.Mahua.Apis;
using System.Collections.Generic;
using Newbe.Mahua.NativeApi;

namespace Newbe.Mahua.CQP.Apis
{
    internal class GetGroupsWithModelApiMahuaCommandHandler
        : CqpApiMahuaCommandHandlerBase<GetGroupsWithModelApiMahuaCommand, GetGroupsWithModelApiMahuaCommandResult>
    {
        private readonly IGroupInfoSerializer _groupInfoSerializer;

        public GetGroupsWithModelApiMahuaCommandHandler(
            IGroupInfoSerializer groupInfoSerializer,
            ICoolQApi coolQApi,
            ICqpAuthCodeContainer cqpAuthCodeContainer)
            : base(coolQApi, cqpAuthCodeContainer)
        {
            _groupInfoSerializer = groupInfoSerializer;
        }

        public override GetGroupsWithModelApiMahuaCommandResult Handle(
            GetGroupsWithModelApiMahuaCommand message)
        {
            var source = CoolQApi.CQ_getGroupList(AuthCode);
            var modelWithSourceString = new ModelWithSourceString<IEnumerable<GroupInfo>>
            {
                SourceString = source,
                Model = _groupInfoSerializer.DeserializeGroupInfos(source),
            };
            var re = new GetGroupsWithModelApiMahuaCommandResult
            {
                ModelWithSourceString = modelWithSourceString
            };
            return re;
        }
    }
}
